User Antti Seppälä
Date: Thu Oct 16 14:15:15 CEST 2014

    Corrected black surface for va-api.

User johns
Date: Thu Oct 16 14:05:17 CEST 2014

    Newer va-api intel drivers support PutImage.
    Use more portable fork for vfork.
    Fix crash with VA-API vdpau backend.

User mini73
Date: Sat Oct 11 16:53:18 CEST 2014

    Fix bug: random rubbish at the end of letter.

User johns
Date: Tue Sep 23 12:36:39 CEST 2014

    Fix audio thread close race condition.
    Support ffmpeg new AVFrame API in the audio codec.
    Config for automatic AES parameters.
    Use GCC built-in functions for atomic operations.

User master_red
Date: Wed Jun  4 14:44:32 CEST 2014

    Support detach or suspend in plugin menu.

User johns
Date:  Fri May 30 10:18:20 CEST 2014

    Fix "make clean-plugins".
    Fix compile with newer libav.
    Fix OSD bugs.
    Add some VA-API VPP info outputs.
    Remove build files for old unstable VDR.

User  hd.brummy
Date: Thu Jan 30 10:40:49 CET 2014

    Update gentoo ebuild.

User johns
Date: Thu Jan 30 10:36:53 CET 2014

    Fix spelling in arguments help.
    Add Workaround for alsa blocking audio device.
    Improves thread handling for audio flush and close.

User mini73
Date: Fri Jan 24 11:30:49 CET 2014

    Fix bug: learing x11 remote keys fails.
    Add support for umlauts in input fields.

User johns
Date: Tue Jan 14 14:59:44 CET 2014

    Fix alternative OSD support with VDPAU bitmap surfaces.
    Fix compile error with VDR 2.1.3.
    Fix bug: memory leak.
    PIP close clears the last used PIP channel.
    Fix bug: -DOSD_DEBUG uses old (deleted) variable.
    Fix bug: Option softhddevice.BlackPicture has no effect.

User Dr. Seltsam
Date: Tue Nov  5 16:46:34 CET 2013

    Add support to configure and clear buffers on channel switch.

User johns
Date: Tue Oct  8 10:18:04 CET 2013

    CLOCK_REALTIME -> CLOCK_MONOTONIC to allow time changes.
    Add function VideoStreamOpen and always use VideoStreamClose.
    Softer audio/video sync.
    Add function GetStats to the video output module.
    Add function ResetStart to the video output module.
    Add function SetClosing to the video output module.
    Generalize GetVaapiContext to GetHwAccelContext.
    Add compile time configurable trickspeed packets dump.
    Fix bug #1410: wrong spelled AC-3 and E-AC-3.
    Add compile time selectable h264 trickspeed workaround.
    Use ffmpeg new names AVCodecID, AV_CODEC_... .
    Fix bug: video lagging behind after recording stop.
    Reduce PES error messages.
    Fix bug #1392: Wrong value for mixing LFE.
    Fix bug: wrong grab size, introduced with AMD VDPAU.
    Use VDR SPU decoder as default.
    Fix bug: grab image negative quality isn't the default 100.
    Support AMD VDPAU with surface size != requested size.
    Add cache for auto-crop buffer.
    Fix opengl and opengl threads bugs.
    Initial opengl support with va-api only.
    Fix "broken driver" message if empty ring buffer.
    Enable seamless audio track change.
    Fix bug #1302: Unsupported pixel format crash.
    Fix the fix, when sillpicture is called in suspend mode.
    Fix crash, when sillpicture is called in suspend mode.
    Add workaround for zero width+height and ffmpeg >= 1.2.

User johns
Date: Sun Mar 17 15:52:42 CET 2013

    Release Version 0.6.0
    Adds H264 only hardware decoder for still-pictures.
    Enable optional VDR-SPU deocder support.

User anbr
Date: Sun Mar 17 15:49:46 CET 2013

    Update german translation.

User cyril
Date: Wed Mar 6 17:05:10 CET 2013

    Adds raise softhddevice video window support.

User johns
Date: Wed Mar 6 10:30:27 CET 2013

    Adds optional only complete mpeg packets support.
    Fixes text of EAC-3 pass-through setup.
    Try to start or connect to X11 server with -xx.
    Try to use HBR (High Bit-Rate) for EAC3.
    Improved pass-through (PCM+EAC3) support.
    Support VDR 1.7.36 new build system.
    Improves VDPAU display preemption handling.
    Add modifiers to X11 remote key names (from Sibbi).
    Add compatibility with >=ffmpeg 1.1.
    Adds PIP (Picture-in-Picture) support.
    Split mpeg packets in receiver thread.

User horchi
Date: Tue Jan  1 17:58:54 CET 2013

    Adds VDR SeduAtmo Plugin support.

User johns
Date: Tue Jan  1 15:21:28 CET 2013

    Support multiple streams with ScaleVideo.
    Makes 4:3 and 16:9 display format configurable.
    Don't use DVB display format.

User Zoolook
Date: Tue Jan  1 12:49:19 CET 2013

    Add support for new vdr ScaleVideo API.

User johns
Date: Tue Jan  1 12:40:12 CET 2013

    Add support for old PES HDTV recording.
    Disable trickspeed hack, to prevent ffmpeg crash.
    Makes X11 server arguments configurable.
    Add german translation.

User FireFly
Date: Sun Nov 18 21:15:50 CET 2012

    Add german translation.

User johns
Date: Thu Nov 15 22:28:55 CET 2012

    Release Version 0.5.2

User  maverick-me
Date: Mon Nov 5 23:13:42 CET 2012

    Fix 3d OSD position.

User  maverick-me
Date: Tue Oct 30 16:50:25 CET 2012

    Add support to change the OSD for 3d SBS/TB streams.

User johns
Date: Tue Oct 30 12:11:25 CEST 2012

    Use software decoder for still-pictures.
    Add Feature #1103: change audio devices without vdr restart.
    Fix bug #1089: Vdpau decoder used wrong number of mpeg reference frames.
    Fix bug: with some streams endless loop in pes audio parser.
    Report correct video size in cSoftHdDevice::GetVideoSize.
    Add picture adjustment support for vdpau.
    Revert "mpeg_vdpau" back to "mpegvideo_vdpau".
    Fix bug: Can't use software decoder with VDPAU.
    Resume plugin, if suspend control stops.
    Removes old audio code (!USE_AUDIORING).
    Use -DOSD_DEBUG to debug OSD.

User arttupii
Date: Tue Aug 7 16:46:23 2012 +0200

    Fix bug #909: Subtitles destroy menu.
    Fix bug #1003: Subtitles overlapping.

User johns
Date: Fri Jul 27 19:15:48 CEST 2012

    Free used X11 resources colormap, pixmap, cursor.
    Fix bug: spelling USE_VAPI wrong, missing functions.

User johns
Date: Tue Jul  3 16:35:46 CEST 2012

    Release Version 0.5.1
    Add commandline support to disable hardware decoder.
    Display frame statistics in plugin menu.
    Fix bug: 100% CPU use during playback.
    Fix bug: audio use 100% CPU during pause.
    Guard audio skip against old PTS values.
    Improved audio skip, after channel switch.
    Setup add preview of collapsed tree.
    Fix bug: dvd plugin times out.
    Makes OSD size configurable.
    Support display with non-square pixels.
    Initial ADTS (AAC+) support.
    Fix bug #959: log flooded with service messages.

User durchflieger
Date: Mon Apr 30 14:46:51 CEST 2012

    Adds VDR DFAtmo Plugin support.

User johns
Date: Mon Apr 30 13:56:26 CEST 2012

    Fix bug: don't normalize or compress pass-through samples.
    Make audio ring buffer size a multiple of 3,5,7,8.
    Add reset ring buffer support.
    Fix bug: alloca wrong size for audio buffer.
    Handle jump in stream like stream start.
    Always compile audio drift correction.
    Add audio drift correction configuration to the setup.

User mini73
Date: Fri Apr 20 16:51:14 CEST 2012

    Add support for svdr command "stat".

User johns
Date: Fri Apr 20 16:05:40 CEST 2012

    Made showing black picture configurable.
    Show black picture, if no video stream is available.
    Setup split into foldable sections.
    Adds show cursor on pointer move and hide after 200ms.
    Adds Hot-key support for auto-crop enable/disable/toggle.
    Adds detached start mode.
    Fix bug: VDPAU looses preemption callback.
    Fix bug: X11 server keeps sending USR1 signals, which confuses suspend.
    Show message for hot-keys.
    Fix bug: playback errors with old PES recordings.
    Adds Hot-key support for 4:3 zoom modes.

User johns
Date: Sat Apr  7 20:21:16 CEST 2012

    Release Version 0.5.0
    Change audio/video delay with hot-key.
    Enable/disable/toggle fullscreen with hot-key (Feature #930).

User: CafeDelMar
Date: Thu Apr  5 22:44:06 CEST 2012

    Cutting pixels are now configured for each resolution.

User johns
Date: Thu Apr 5 15:47:59 CEST 2012

    Buffer less video and audio.
    Fix 100% cpu use, with mp3 plugin.
    Audio/Video sync rewrite, trick-speed support moved to video.
    Faster VdpauBlackSurface version.
    Fix bug: VideoSetPts wrong position for multi frame packets.

User: CafeDelMar
Date: Mon Mar 26 20:45:54 CEST 2012

    Add VideoSkipPixels support.

User johns
Date: Fri Mar 23 18:43:20 CET 2012

    Add optional argument (display) to ATTA svdrp commmand.
    Wakeup display to show OSD for remote learning mode.
    Support switching the primary device with svdrp.
    Disable and reenable screen saver and DPMS.
    Video source code cleanup.
    Fix fast backward with some h264 streams.
    Make soft start sync setup menu configurable.
    Fix bug: StillPicture NAL end of sequence is 10 and not 0x10.
    Fix bug: AudioEnqueue crash without sound card.

User johns
Date: Sun Mar  4 22:35:36 CET 2012

    Release Version 0.4.9
    Experimental ac3 audio drift correction support.
    Removes LPCM detection from TS parser.
    Rewrote video/audio start code.
    Add support for attach/detach plugin.
    OSS needs bigger audio buffers.
    Improved audio drift correction support.
    Experimental audio drift correction support.
    Add SVDRP HOTK command support.
    Increased audio buffer time for PES packets.
    Support configuration and set of video background.
    Survive lost X11 display.
    Fix bug: 100% cpu use with plugins like mp3.
    Wakeup display thread on channel switch, osd can now be shown without
    video.
    Makes 60Hz display mode configurable with setup.conf.
    Support downmix of AC-3 to stero.
    New audio PES packet parser.
    Fix bug: Grabbing a JPG image fails while suspended.
    Add support for hot keys.
    Add support to use characters input in edit mode.
    Adds trick speed support.

User johns
Date: Thu Feb 16 09:59:14 CET 2012

    Release Version 0.4.8
    Fix bug: wrong start of video packet.
    VDPAU: Enables inverse telecine configuration.
    Find AC3 (Dolby Digital) inside PES packet.
    Fix bug: audio increments invalid audio PTS.
    Fix bug: dvd plugin not working.
    Fix bug: used frame-> instead of video_ctx-> for old libav/ffmpeg.

User johns
Date: Mon Feb 13 23:20:26 CET 2012

    Release Version 0.4.7

User FireFly
Date: Mon Feb 13 20:14:11 CET 2012

    Fix bug: unscaled jpeg includes PNG header.

User johns
Date: Mon Feb 13 14:58:26 CET 2012

    VDPAU: Studio levels could be configured in the setup menu.
    Window size defaults to fullscreen, if no geometry is given.

User m.Rcu
Date: Sun Feb 12 20:28:22 CET 2012

    Jpeg screengrab use VDR RgbToJpeg function.

User johns
Date: Sun Feb 12 20:14:43 CET 2012

    Add play/pause audio support.
    Fix bug: audible glitch when switching AC-3 pass-through <-> none.
    Fix bug: mpeg stills not displayed.
    Detect audio stream type only after stream switch.
    Detect more h264 streams with leading zeros.
    VDPAU: support for studio levels added.
    Add support for skip chroma deinterlace to software deinterlacer.
    Type of software deinterlacer now configurable from setup menu.
    Mixer channel could be set through command line option.
    Fix bug: LFE moved to wrong position.
    Guard suspend/resume against multiple calls.
    Add support for AAC LATM audio streams.
    Fix bug: alsa and ffmpeg use different channel layout.
    Support more LPCM sample rates and number of channels.
    Quick&dirty support for mpeg LPCM streams.
    Workaround for text2skin undrawn OSD areas.
    Detect dvb LPCM stream and ignore it.

User johns
Date: Thu Feb  2 23:29:35 CET 2012

    Release Version 0.4.6
    Warn only on the first duplicated frame in sequence.
    Increase audio buffer, if bigger audio delay is used.
    Makes SkipLines configure in setup menu.
    Auto-crop only enabled with normal 4:3 display mode.
    Vaapi updates OSD when cropping changes.
    Add A-V info output and compile time option.
    Fix bug: VA-API intel software decoder broken by aspect commit.
    Add support for 4:3 output modes.
    Quicker auto-crop after channel switch.
    Add auto-crop support for Intel VA-API backend.
    Fix bug: Auto-Crop logo skip didn't use displayed width.
    Workaround for mpeg2 FFMpeg + VA-API + Intel GPU hung.
    Fix bug: Missing vaSyncSurface and vaDestroyImage.
    Fix bug: Only black picture with VA-API hw decoder.

User HelAu
Date: Mon Jan 30 16:54:47 CET 2012

    Add support to start the plugin in suspended mode.

User johns
Date: Mon Jan 30 15:58:21 CET 2012

    Finished rewrite of video code, to support output modules.
    Add aspect change support to software decoder path.
    Repair software decoder with vaapi vdpau backend.
    Add workaround for Intel VA-API MPEG GPU hung.

User johns
Date: Sat Jan 28 13:32:12 CET 2012

    Release Version 0.4.5
    Add configurable skip lines at video top and bottom.
    Add auto-crop tolerance configuration.
    Reduces audio latency, increases audio buffer time.
    Made video_test working again.
    Disabled VA-API Intel vaAssociateSubpicture workaround.
    Fix bug: Must release lock for VideoPollEvent.
    Allow faster video and audio sync.
    Fix bug: Software decoder use vaPutImage with intel backend.
    Fix bug: Artefacts are shown after mpeg2 channel switch.
    Fix bug: VideoReleaseSurface called after VideoExit.
    Support external players.
    Add VDPAU display preemption support.

User m.Rcu
Date: Tue Jan 24 22:38:30 CET 2012

    Add support for grab jpeg image.

User johns
Date: Tue Jan 24 22:25:33 CET 2012

    Fix bug: VaapiOsdExit doesn't deassociate osd surface.
    Fix bug: First OSD can show random pixels.
    Wait for X11 exit and kill it, if not.
    Fix still picture handling.
    Fix for dead-lock in VdpauExit.
    Workaround for dead-lock in VdpauExit.
    VDPAU: Add very primitive software scaler for grab image.
    VA-API: Add auto-crop support.
    Suspend can close/open X11 window, connection and audio device.

User Morone
Date: Sun Jan 22 16:43:23 CET 2012

    Use different alsa devices for AC3/pass-through and pcm.

User johns
Date: Sun Jan 22 11:12:57 CET 2012

    Add dummy player and control for suspend mode.
    Buffertime compile time configurable in ms.

Date: Sat Jan 21 15:49:16 CET 2012

    Release Version 0.4.0
    VDPAU: Add grab image support.
    VDPAU: Add auto-crop support.
    VDPAU: Changed OSD alpha calculation.
    Fix bug: Used VideoSharpen for denoise settings.
    Instant update deinterlace/... configuration changes.
    Fix bug: AudioExit called without AudioInit crash.

Date: Thu Jan 19 15:58:40 CET 2012

    Release Version 0.3.5
    OSD improvements:
    Use OSD size equal to video window.
    Update only dirty area(s) of OSD.
    Show/mix only used area of OSD.
    Fix bug: vpdau use previous resolution for deint, ...
    Fix software deinterlace with VA-API.
    Fix bug: transposed digits 567 should be 576.
    Audio module cleanup:
    Alsa + OSS can be included/build at the same time.
    Alsa or OSS can be runtime selected with -a.
    Add audio thread support to OSS module.
    Add polled audio support to alsa module.
    Removed some debug source code.

Date: Sun Jan 15 16:56:04 CET 2012

    Release Version 0.3.1
    Fix bug: AudioFreeBytes didn't check if audio running/compiled.
    Fix bug: snd_pcm_state: Assertion `pcm' failed.
    Add support for fullscreen and fullscreen toogle.
    Instant update deinterlace configuration changes.
    Fix subtitle position.
    Add SVDRP support.
    Suspend when user is inactive.

User Christian Rupper
Date: Tue Jan 10 22:33:14 CET 2012

    Move objects before $LIBS to avoid link failures with --as-needed.
    Do not override CFLAGS for video test.
    Rearrange *FLAGS incl. some minor fixes.
    Don't override VDRDIR, LIBDIR and TMPDIR in makefile.
    Don't abuse LDFLAGS in makefile.
    Define CC in makefile.
    Include GL/gl.h for the GL_COLOR_BUFFER_BIT definition.
    VideoInit() needs an argument.

User johns
Date: Tue Jan 10 22:32:50 CET 2012

    Add main menu entry, which suspends the plugin.
    Add support for resize window.
    Close window sends "close" as remote key press.

Date: Mon Jan  9 22:09:38 CET 2012

    Release Version 0.3.0
    Add support of resolution dependend video parameters (deint, scale, ...).
    Add support for recording play back.
    Add workaround for alsa crash in snd_pcm_prepare.
    Fix bug: audio crash on exit.
    Fix build with vdr without yaepg support.
    Support yaepghd video picture output position change.

Date: Sat Jan  7 13:20:07 CET 2012

    Release Version 0.2.0
    Add support for ac3 audio pass through.
    Add workaround for alsa not playing hdmi sound.
    Fix bug: broken device plugin stop and exit.
    Show transparent cursor to hide cursor.
    VDPAU: Add color standard support.
    VDPAU: Add denoise and sharpness support.
    VDPAU: Add skip chroma deinterlace support.
    VDPAU: Show OSD only if something is to display, improves performance.
    VDPAU: Add deinterlace with only 4 surfaces.

Date: Thu Jan 4 17:00:00 CET 2012

    Release Version 0.1.5
    Adds OSS mixer support.
    Fix bug: audio new stream is not thread safe.
    New audio driver OSS.
    Fix bug: needed down sampling of 3/5/6 to 2 channels not reported.
    Search audio sync inside PES packets, for insane dvb streams.
    Use only the needed number of surfaces.

Date: Thu Dec 29 19:44:43 CET 2011

    Release Version 0.1.4
    Prepared vdpau noise reduction support.
    Vdpau also displays a black surface, when no video is available.
    Fix bug: CodecVideoDecode destroys avpkt.

Date: Thu Dec 29 00:55:57 CET 2011

    Release Version 0.1.3
    Add missing VdpauDecoderDestroy.
    Cleanup video packet ringbuffer.
    Allow build without VDPAU.
    Fix bug: swapped end and start.
    Support other than "PCM" alsa mixer channels.

Date: Sat Dec 24 15:26:27 CET 2011

    Release Version 0.1.2
    Fix wrong decoder->SurfaceField again.
    Remove interlaced_frame debug, it can't be used.
    Fix new video stream never resets, if buffers full.

Date: Fri Dec 23 21:31:27 CET 2011

    Release Version 0.1.1
    Initial VDPAU decoder support.
    Initial VDPAU output support.
    Configurable audio delay.
    Make pts monotonic.
    Support old libav and ffmpeg libs.
    Support xcb_icccm_set_wm_protocols with xcb-util <0.3.8.
    New video/audio sync code.
    Support xcb-util <0.3.8.
    Use current configuration for setup menu.
    Initial support of replay.
    Workaround for libva-driver-intel 1080i problems.
    DisplayFrame displays now only a single frame.
    Add deinterlace/scaling modes to setup.

Date: Sat Dec 10 00:06:46 CET 2011

    Release Version 0.0.9
    Pass audio/video PTS to codec.
    Fix libva-driver-intel OSD problems.
    Add audio resample support.
    Reduce program exit crashes.
    Add libva-driver-vdpau autodetection.
    Add workaround for bugs in libva-driver-vdpau.
    Threaded video display handler written.
    Add support for unscaled osd (f.e. supported by intel-vaapi)
    Add support for 16:9 and 4:3 video streams.
    Add buildin X11 server start.
    Remove ffmpeg deprecated functions.
    Disable display of window cursor.
    Can force self as primary device.
    Smaller audio buffer.
    Don't trust ffmpeg or stream interlace flag.
    Fix Makefile.
    Add setting analog volume.

Date: Thu Dec  1 20:48:35 CET 2011

    Release Version 0.0.5
